Subject: Re: [PATCH 4/6] fs: Introduce a per_cpu nr_inodes

From: Christoph Hellwig <[email-masked]>
Date: Thu, 27 Nov 2008 04:48:49 -0500

On Thu, Nov 27, 2008 at 10:39:31AM +0100, Peter Zijlstra wrote:
> With it being called from writeback that might not be true for all
> workloads. One thing you can do about it is use the regular per-cpu
> counter stuff, which allows you to do an approximation of the global
> number (it also does all the hotplug stuff for you already).

The way it's used in writeback is utterly stupid and should be fixed :)

But otherwise agreed.